Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.tsp.persistence
Class TspExporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionExporter
              org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
                  org.optaplanner.examples.tsp.persistence.TspExporter

    public class TspExporter

extends AbstractTxtSolutionExporter

Nested Class Summary
`static class` | `TspExporter.TspOutputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
`AbstractTxtSolutionExporter.TxtOutputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`AbstractSolutionExporter.OutputBuilder`

Field Summary
`static String` | `OUTPUT_FILE_SUFFIX`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
`DEFAULT_OUTPUT_FILE_SUFFIX`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`TspExporter()`

Method Summary
`AbstractTxtSolutionExporter.TxtOutputBuilder` | `createTxtOutputBuilder()`
`String` | `getOutputFileSuffix()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractTxtSolutionExporter
`writeSolution`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`convertAll, getInputDir, getInputFileSuffix, getOutputDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUTPUT_FILE_SUFFIX

    public static final String OUTPUT_FILE_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### TspExporter

    public TspExporter()

Method Detail

### main

    public static void main(String[] args)

### getOutputFileSuffix

    public String getOutputFileSuffix()

  Overrides:
    `getOutputFileSuffix` in class `AbstractTxtSolutionExporter`

### createTxtOutputBuilder

    public AbstractTxtSolutionExporter.TxtOutputBuilder createTxtOutputBuilder()

  Specified by:
    `createTxtOutputBuilder` in class `AbstractTxtSolutionExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.